
From: Christoph Hellwig <hch@lst.de>

-mm specific addon to the same kind of patches I sent a few weeks

Cc: Tom Zanussi <zanussi@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/relayfs/inode.c |    7 +------
 1 files changed, 1 insertion(+), 6 deletions(-)

diff -puN fs/relayfs/inode.c~avoid-lookup_hash-usage-in-relayfs fs/relayfs/inode.c
--- 25/fs/relayfs/inode.c~avoid-lookup_hash-usage-in-relayfs	Tue Jun 28 15:58:41 2005
+++ 25-akpm/fs/relayfs/inode.c	Tue Jun 28 15:58:41 2005
@@ -94,7 +94,6 @@ static struct dentry *relayfs_create_ent
 					   int mode,
 					   struct rchan *chan)
 {
-	struct qstr qname;
 	struct dentry *d;
 	struct inode *inode;
 	int error = 0;
@@ -107,10 +106,6 @@ static struct dentry *relayfs_create_ent
 		return NULL;
 	}
 
-	qname.name = name;
-	qname.len = strlen(name);
-	qname.hash = full_name_hash(name, qname.len);
-
 	if (!parent && relayfs_mount && relayfs_mount->mnt_sb)
 		parent = relayfs_mount->mnt_sb->s_root;
 
@@ -121,7 +116,7 @@ static struct dentry *relayfs_create_ent
 
 	parent = dget(parent);
 	down(&parent->d_inode->i_sem);
-	d = lookup_hash(&qname, parent);
+	d = lookup_one_len(name, parent, strlen(name));
 	if (IS_ERR(d)) {
 		d = NULL;
 		goto release_mount;
_
